/***************************************************************************\
*                                                                           *
*   WINCLIPB.H                                                              *
*                                                                           *
*   Some headers are used from the cygnus project                           *
*   Modified by:                                                            *
*    kiefer@isys.de                                                         *
*    rainer@mathematik.uni-bielefeld.de                                     *
*									    *
\***************************************************************************/

#if !defined (_WINCLIPB_H)
#define _WINCLIPB_H

#ifdef __cplusplus
extern "C" {
#endif

#define CF_TEXT             1
#define CF_BITMAP           2
#define CF_METAFILEPICT     3
#define CF_SYLK             4
#define CF_DIF              5
#define CF_TIFF             6
#define CF_OEMTEXT          7
#define CF_DIB              8
#define CF_PALETTE          9
#define CF_PENDATA          10
#define CF_RIFF             11
#define CF_WAVE             12
#define CF_UNICODETEXT      13
#define CF_ENHMETAFILE      14
#define CF_HDROP            15
#define CF_LOCALE           16
#define CF_MAX              17
#define CF_OWNERDISPLAY     0x0080
#define CF_DSPTEXT          0x0081
#define CF_DSPBITMAP        0x0082
#define CF_DSPMETAFILEPICT  0x0083
#define CF_DSPENHMETAFILE   0x008E
#define CF_PRIVATEFIRST     0x0200
#define CF_PRIVATELAST      0x02FF
#define CF_GDIOBJFIRST      0x0300
#define CF_GDIOBJLAST       0x03FF

#if !defined(RC_INVOKED)
BOOL WINAPI OpenClipboard(HWND hWndNewOwner);
BOOL WINAPI CloseClipboard(VOID);
HWND WINAPI GetClipboardOwner(VOID);
HWND WINAPI SetClipboardViewer(HWND hWndNewViewer);
HWND WINAPI GetClipboardViewer(VOID);
BOOL WINAPI ChangeClipboardChain(HWND hWndRemove, HWND hWndNewNext);
HANDLE WINAPI SetClipboardData(UINT uFormat, HANDLE hMem);
HANDLE WINAPI GetClipboardData(UINT uFormat);
#define RegisterClipboardFormat TFUNCT(RegisterClipboardFormat)
UINT WINAPI RegisterClipboardFormat(LPCTSTR lpszFormat);
int WINAPI CountClipboardFormats(VOID);
UINT WINAPI EnumClipboardFormats(UINT format);
#define GetClipboardFormatName TFUNCT(GetClipboardFormatName)
int WINAPI GetClipboardFormatName(UINT uformat, LPTSTR lpszFormatName, int cchMaxCount);
BOOL WINAPI EmptyClipboard(VOID);
BOOL WINAPI IsClipboardFormatAvailable(UINT uformat);
int WINAPI GetPriorityClipboardFormat(UINT *paFormatPriorityList, int cFormats);
HWND WINAPI GetOpenClipboardWindow(VOID);
#endif

#ifdef __cplusplus
}
#endif

#endif /* !defined (_WINCLIPB_H) */
